package arm

import "git.urbach.dev/cli/q/src/cpu"

// AddRegisterNumber adds a number to a register
func AddRegisterNumber(destination cpu.Register, source cpu.Register, number int) uint32 {
	number &= 0xFFF
	return 0b100100010<<23 | (uint32(number) << 10) | (uint32(source) << 5) | uint32(destination)
}
