package pe

import "git.urbach.dev/cli/q/src/config"

// cpu returns the CPU architecture used in the PE header.
func cpu() uint16 {
	switch config.TargetArch {
	case config.ARM:
		return IMAGE_FILE_MACHINE_ARM64
	case config.X86:
		return IMAGE_FILE_MACHINE_AMD64
	default:
		panic("unknown architecture")
	}
}
